import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.l7_policies.update(
l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
project_id=1,
region_id=1,
action="REDIRECT_TO_URL",
redirect_url="https://www.example.com",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.L7Policies.Update(
context.TODO(),
"023f2e34-7806-443b-bfae-16c324569a3d",
cloud.LoadBalancerL7PolicyUpdateParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
OfRedirectToURL: &cloud.LoadBalancerL7PolicyUpdateParamsBodyRedirectToURL{
RedirectURL: "https://www.example.com",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request PATCH \
--url https://api.gcore.com/cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "REDIRECT_TO_URL",
"redirect_url": "https://www.example.com",
"name": "redirect-example.com",
"position": 1,
"redirect_http_code": 301,
"tags": [
"test_tag"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'REDIRECT_TO_URL',
redirect_url: 'https://www.example.com',
name: 'redirect-example.com',
position: 1,
redirect_http_code: 301,
tags: ['test_tag']
})
};
fetch('https://api.gcore.com/cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Update load balancer L7 policy
Updates only provided fields; omitted ones stay unchanged.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.l7_policies.update(
l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
project_id=1,
region_id=1,
action="REDIRECT_TO_URL",
redirect_url="https://www.example.com",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.L7Policies.Update(
context.TODO(),
"023f2e34-7806-443b-bfae-16c324569a3d",
cloud.LoadBalancerL7PolicyUpdateParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
OfRedirectToURL: &cloud.LoadBalancerL7PolicyUpdateParamsBodyRedirectToURL{
RedirectURL: "https://www.example.com",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
L7 policy ID
"023f2e34-7806-443b-bfae-16c324569a3d"
Body
- UpdateL7PolicyRedirectToUrlSerializer
- UpdateL7PolicyRedirectPrefixSerializer
- UpdateL7PolicyRedirectToPoolSerializer
- UpdateL7PolicyRejectSerializer
Action
"REDIRECT_TO_URL""REDIRECT_TO_URL"
Requests matching this policy will be redirected to this URL. Only valid if action is REDIRECT_TO_URL.
"https://www.example.com"
Human-readable name of the policy
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"redirect-example.com"
The position of this policy on the listener
1
Requests matching this policy will be redirected to the specified URL or Prefix URL with the HTTP response code. Valid if action is REDIRECT_TO_URL or REDIRECT_PREFIX. Valid options are 301, 302, 303, 307, or 308. Default is 302.
301, 302, 303, 307, 308 301
302
303
307
308
A list of simple strings assigned to the resource.
["test_tag"]
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?